<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="https://jmix.io/schema/ui/window"
        caption="msg://phoneVerification.caption">
<!--    <data>-->
<!--        <instance id="otpDC" class="com.company.registration.entity.Otp">-->
<!--            <fetchPlan extends="_base"/>-->
<!--            <loader id="otpDl"/>-->
<!--        </instance>-->
<!--    </data>-->
    <layout stylename="jmix-login-main-layout">
        <hbox width="100%" height="100%">
            <vbox height="100%" width="100%" expand="centerBox">
                <!--                <vbox id="loginMainBox"-->
                <!--                  align="MIDDLE_CENTER"-->
                <!--                  margin="true"-->
                <!--                  spacing="true"-->
                <!--                  stylename="jmix-login-panel"-->
                <!--                  width="530px" visible="true">-->
                <!--                    <label value="msg://label3.value" align="TOP_CENTER"-->
                <!--                           css="font-weight:bold;"-->
                <!--                           stylename="jmix-login-caption"/>-->
                <!--                    <label value="msg://label4.value" align="MIDDLE_CENTER"/>-->

                <!--                    <buttonsPanel align="MIDDLE_CENTER" css="padding-top:10px;">-->
                <!--                        <button caption="msg://button.caption"/>-->
                <!--                        <button caption="msg://button1.caption"/>-->
                <!--    &lt;!&ndash;                    <button caption="msg://button2.caption"/>&ndash;&gt;-->
                <!--                    </buttonsPanel>-->
                <!--        &lt;!&ndash;            <label value="msg://label1.value"/>&ndash;&gt;-->
                <!--        &lt;!&ndash;            <label value="msg://label.value"/>&ndash;&gt;-->
                <!--        &lt;!&ndash;            <label value="msg://label2.value"/>&ndash;&gt;-->

                <!--                    <form  align="MIDDLE_CENTER" width="100%">-->
                <!--                        <textField id="nationalityField" caption="msg://label1.value" width="100%"/>-->
                <!--                        <textField id="fullNameField" caption="msg://label.value" width="100%"/>-->
                <!--                        <textField id="userNameField" caption="msg://label9.value" width="100%"/>-->
                <!--                        <textField id="emailField" caption="msg://label2.value" width="100%"/>-->
                <!--                        <passwordField id="passwordField"-->
                <!--                                       autocomplete="false"-->
                <!--                                       htmlName="passwordField" caption="msg://textField.caption"-->
                <!--                                       stylename="" width="100%" />-->
                <!--                        <passwordField id="confirmPasswordField"-->
                <!--                                       autocomplete="false"-->
                <!--                                       htmlName="passwordField"-->
                <!--                                       caption="msg://textField1.caption"-->
                <!--                                       stylename="" width="100%"  />-->
                <!--                        <button id="registerButton"-->
                <!--                                align="MIDDLE_CENTER"-->
                <!--                                stylename="" width="100%"-->
                <!--                                caption="msg://registerButton.caption" css="margin-top:10px;"/>-->
                <!--                    </form>-->

                <!--                </vbox>-->

                <hbox css=""  width="100%" height="80px">
                    <hbox align="BOTTOM_CENTER" width="500px" height="AUTO" >
                        <button icon="ANGLE_LEFT" css="font-size:20px; background:white; border:none;" align="MIDDLE_LEFT"/>
                        <label icon="registration/globe.svg" value="English" height="AUTO" width="AUTO" align="MIDDLE_RIGHT" css="font-size:15px;"/>
                    </hbox>
                </hbox>
                <vbox id="centerBox"  width="100%" >
                    <vbox id="loginMainBox"
                          align="MIDDLE_CENTER"
                          margin="true"
                          spacing="true"
                          stylename=""
                          width="500px" visible="true" height="AUTO" css=""  >

                        <hbox align="TOP_CENTER" width="100%" height="60px" css="" >
                            <label id="step1Icon"  icon="registration/no-1.svg" value="Password" height="AUTO" width="AUTO" css="font-size:17px;" align="MIDDLE_CENTER" />
                            <vbox height="15px" align="MIDDLE_CENTER" width="AUTO" css="border-right: 1px solid #919191; margin: 0px 5px;"/>
                            <label id="step2Icon"  icon="registration/no-2.svg" value="Security" height="AUTO" width="AUTO" css="font-size:17px;" align="MIDDLE_CENTER" />
                            <vbox height="15px" align="MIDDLE_CENTER" width="AUTO" css="border-right: 1px solid #919191; margin: 0px 0px;"/>
                            <label id="step3Icon"  icon="registration/no-3.svg" value="Phone No." height="AUTO" width="AUTO" css="font-size:17px; margin-left:-7px" align="MIDDLE_CENTER" />
                        </hbox>
                        <vbox id="onBoarding1" css=" margin-top:40px;" height="400px" width="100%" align="TOP_CENTER" expand="expandLayout" visible="true"  >
                            <label value="Your Password" align="TOP_LEFT"
                                   css="font-weight:bold; font-size:25px; text-align:left;"
                                   stylename="jmix-login-caption"/>

                            <vbox css="padding:30px 0px;" width="100%" height="AUTO">
                                <passwordField id="passwordField"
                                               autocomplete="false"
                                               htmlName="passwordField" inputPrompt="Password"
                                               width="100%" height="50px"  css="border: 2px solid #BFD3FF;border-radius:4px;"/>
                                <passwordField id="confirmPasswordField"
                                               autocomplete="false"
                                               htmlName="passwordField"
                                               inputPrompt="Confirm Password"
                                               width="100%" height="50px"  css="border: 2px solid #BFD3FF;border-radius:4px; margin-top:15px;"  />
<!--                                <radioButtonGroup id="option1"-->
<!--                                                  width="100%" height="AUTO" optionsEnum="com.company.registration.entity.TestEnum" css="font-size:30px;"/>-->
                            </vbox>
                            <button id="nextButton1" caption="Next" width="100%" height="50px" css="background:#0038FF; color:white; border:none;"/>
                            <hbox width="100%" css="margin-top:5px;">
                                <label value="back" align="MIDDLE_LEFT" width="AUTO" visible="false"/>
                                <label value="Step 1 of 3" align="MIDDLE_RIGHT" width="AUTO"/>
                            </hbox>
                            <cssLayout id="expandLayout" height="AUTO"/>


                        </vbox>
                        <vbox id="onBoarding2" css=" margin-top:40px;" height="400px" width="100%" align="TOP_CENTER" expand="expandLayout2" visible="false" >
                            <label value="Security Phrase" align="TOP_LEFT"
                                   css="font-weight:bold; font-size:25px; text-align:left;"
                                   stylename="jmix-login-caption"/>

                            <vbox css="padding:30px 0px;" width="100%" height="AUTO">
<!--                                <textField id="nationalityField"  height="50px" width="100%" inputPrompt="Nationality" css="border: 2px solid #BFD3FF;border-radius:4px;" visible="false" />-->
<!--                                <comboBox id="nationalityComboBox" inputPrompt="Nationality" css="" width="100%" height="50px"/>-->
                                <textField id="securityField" inputPrompt="Security Phrase" width="100%" height="50px"  css="border: 2px solid #BFD3FF;border-radius:4px;"/>
                            </vbox>

                            <button id="nextButton2" caption="Next" width="100%" height="50px" css="background:#0038FF; color:white; border:none;"/>
                            <hbox width="100%" css="margin-top:5px;">
                                <label value="Previous Step" align="MIDDLE_LEFT" width="AUTO" visible="true"/>
                                <label value="Step 2 of 3" align="MIDDLE_RIGHT" width="AUTO"/>
                            </hbox>
                            <cssLayout id="expandLayout2" height="AUTO"/>
                        </vbox>
                        <vbox id="onBoarding3" css=" margin-top:40px;" height="400px" width="100%" align="TOP_CENTER" expand="expandLayout3" visible="false" >
                            <label value="Phone Number" align="TOP_LEFT"
                                   css="font-weight:bold; font-size:25px; text-align:left;"
                                   stylename="jmix-login-caption"/>

                            <vbox css="padding:30px 0px;" width="100%" height="AUTO">
                                <textField id="phoneNumberField" inputPrompt="Enter your Phone Number" width="100%" height="50px"  css="border: 2px solid #BFD3FF;border-radius:4px;"/>
                            </vbox>

                            <button id="nexButton3" caption="Submit" width="100%" height="50px" css="background:#0038FF; color:white; border:none;"/>
                            <hbox width="100%" css="margin-top:5px;">
                                <label value="Previous Step" align="MIDDLE_LEFT" width="AUTO" visible="true" />
                                <label value="Step 3 of 3" align="MIDDLE_RIGHT" width="AUTO"/>
                            </hbox>
                            <cssLayout id="expandLayout3" height="AUTO"/>
                        </vbox>



                    </vbox>
                    <vbox id="otpLayout" align="TOP_CENTER"
                          margin="true"
                          spacing="true"
                          stylename=""
                          width="500px" visible="false" height="AUTO" css="margin-top:50px;"  >
                        <label value="Security Check" align="TOP_LEFT"
                               css="font-weight:bold; font-size:25px; text-align:left;"
                               stylename="jmix-login-caption"/>
                        <label value="We've sent a 6 digit code to your phone number"/>
                        <vbox css="padding:0px 0px;" width="100%" height="AUTO">
                            <maskedField id="otpField"  mask="# # # # # #"  width="190px" height="60px"  css=" font-size:30px; border: 2px solid #BFD3FF;border-radius:4px; "/>
                        </vbox>
                            <label value="Didn't receive your code?" align="MIDDLE_LEFT" width="AUTO" visible="true" css="font-weight:600;"  />
                            <linkButton caption="Resend Code" align="MIDDLE_LEFT" width="AUTO" css="color:red;"/>
                        <button id="verifyButton" caption="Verify" width="100%" height="50px" css="background:#0038FF; color:white; border:none;"/>
                        <hbox width="100%" css="margin-top:5px;" visible="false">
                            <label value="Previous Step" align="MIDDLE_LEFT" width="AUTO" visible="true" />
                            <label value="Step 3 of 3" align="MIDDLE_RIGHT" width="AUTO"/>
                        </hbox>
                        <cssLayout id="expandLayout4" height="AUTO"/>
                    </vbox>
                </vbox>

                <vbox  width="100%"  css="" height="80px">
                    <label icon="registration/support.svg" value="Need Help?" width="AUTO" height="AUTO" align="TOP_CENTER" css="font-size:17px;"/>
                </vbox>

            </vbox>
            <vbox width="100%" height="100%" css="background: linear-gradient(178deg, #0038FF 0%, #4c3294 100%);">
                <vbox width="100%" height="AUTO" align="MIDDLE_CENTER" spacing="true">
                    <image id="avatar"
                           align="MIDDLE_CENTER"
                           scaleMode="CONTAIN" width="440px"  css="  ">
                        <resource>
                            <theme path="registration/bgd-screen.png"/>
                        </resource>
                    </image>
                    <label height="40px"/>
                    <label height="AUTO" width="AUTO" align="MIDDLE_CENTER" value="Stable and Profitable" css="font-weight:600; font-size:28px; color:white;"/>
                    <label height="AUTO" width="440px" align="MIDDLE_CENTER" value="Bursa Dinar Gold is your preferred choice for gold investment." css="color:white; text-align:center; font-size:15px;"/>
                    <hbox width="440px" align="MIDDLE_CENTER" css="margin-top:50px">
                        <label icon="registration/left-arrow.svg" align="MIDDLE_LEFT"/>
                        <label icon="registration/tripleDot-1.svg" align="MIDDLE_CENTER"/>
                        <label icon="registration/right-arrow.svg" align="MIDDLE_RIGHT"/>
                    </hbox>
                </vbox>
            </vbox>
        </hbox>


        <vbox  height="100%" width="100%" visible="false" >
            <vbox id="phoneVerifyLayout"
                  align="MIDDLE_CENTER"
                  margin="true"
                  spacing="true"
                  stylename="jmix-login-panel"
                  width="530px" visible="true">
                <label value="msg://label.value"/>
                <label value="msg://label1.value"/>

                <form caption="msg://form.caption">
<!--                    <textField id="phoneNumberField" caption="msg://phoneNumberField.caption"/>-->
<!--                    <textField id="securityField" caption="msg://securityField.caption"/>-->
                </form>

                <button id="submitButton"
                        align="MIDDLE_CENTER"
                        stylename="" width="100%"
                        css="margin-top:10px;" caption="msg://registerButton.caption"/>

            </vbox>

<!--            <vbox id="otpLayout"-->
<!--                  align="MIDDLE_CENTER"-->
<!--                  margin="true"-->
<!--                  spacing="true"-->
<!--                  stylename="jmix-login-panel"-->
<!--                  width="530px" visible="false" >-->
<!--                <label value="msg://label2.value"/>-->
<!--                <label value="msg://label3.value"/>-->

<!--                <form caption="msg://form.caption">-->
<!--&lt;!&ndash;                    <maskedField id="otpField" caption="msg://otpField.caption" mask="# # # # # #" width="AUTO"/>&ndash;&gt;-->
<!--                </form>-->
<!--                -->
<!--                <button id="verifyButton"-->
<!--                        align="MIDDLE_CENTER"-->
<!--                        stylename="" width="100%"-->
<!--                        css="margin-top:10px;" caption="msg://verifyButton.caption"/>-->
<!--            </vbox>-->

        </vbox>



    </layout>






</window>